/*
 * Copyright 2015 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

package org.jbpm.services.ejb.timer;

import java.io.Serializable;

import org.drools.core.time.impl.TimerJobInstance;

public class EjbTimerJob implements Serializable {

	private static final long serialVersionUID = -1299880116250779151L;
	private TimerJobInstance timerJobInstance;

	public EjbTimerJob(TimerJobInstance timerJobInstance) {
		this.timerJobInstance = timerJobInstance;
	}

	public TimerJobInstance getTimerJobInstance() {
		return timerJobInstance;
	}

	public void setTimerJobInstance(TimerJobInstance timerJobInstance) {
		this.timerJobInstance = timerJobInstance;
	}

	@Override
	public String toString() {
		return "EjbTimerJob [timerJobInstance=" + timerJobInstance + "]";
	}
}
